=== debian/control ===
Source: raptor2
Section: devel
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18)
Standards-Version: 3.9.1
Homepage: http://librdf.org/raptor/

Package: libraptor2-dev
Suggests: libraptor2-doc
Recommends: raptor-utils
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18)
Description: Raptor 2 RDF syntax library development libraries and headers
 Raptor Resource Description Framework (RDF) parser and serializer
 development libraries, header files and documentation needed by
 programs that want to be compiled with Raptor.

Package: libraptor2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: raptor2-utils
Description: Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 The parsing syntaxes are RDF/JSON, RDF/XML, N-Triples, Turtle, GRDDL and RSS
 tag soup including Atom 0.3 and Atom 1.0.  The serializing syntaxes
 are RDF/XML, N-Quads, N-Triples RSS 1.0 and Atom 1.0.  Raptor can handle
 RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP,
 Dublin Core and OWL.
 .
 Raptor is designed for performance, flexibility and embedding (no
 memory leaks) and to closely match the revised RDF/XML specification.

Package: raptor2-utils
Section: text
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: raptor-utils
Replaces: raptor-utils
Description: Raptor 2 RDF parser and serializer utilities
 This package provides the rapper tool for validating, parsing and
 serializing RDF/XML, N-Triples, Turtle, RSS, Atom and other Resource
 Description Framework (RDF) syntaxes using the Raptor RDF library.

Package: libraptor2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation for the Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the HTML documentation for the Raptor library
 in /usr/share/doc/libraptor2-doc/ .

Package: libraptor2-0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version})
Description: Raptor RDF parser and serializer library - debugging symbols
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the debugging symbols for debugging
 applications which use libraptor2.
