=== debian/rules ===
#!/usr/bin/make -f
#
# Debian rules for packaging Raptor2
#
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_DOCS_ALL=README NEWS AUTHORS NOTICE
DEB_INSTALL_DOCS_libraptor2-dev=UPGRADING.html docs/raptor1-eol.html

DEB_DBG_PACKAGE_libraptor2-0 = libraptor2-0-dbg

DEB_CONFIGURE_USER_FLAGS= \
  --with-xml-parser=libxml \
  --enable-release

install/libraptor2-dev::
	rm -f debian/tmp/usr/lib/libraptor2.la
