## raptor2 2.0.4

=== debian/changelog ===
raptor2 (2.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #632836)
  * debian/libraptor2-0.shlibs: 2.0.4 (Closes: #635003)
  * debian/control: libraptor2-dev recommends raptor2-utils (Closes: #625910)
  * debian/rules: use make distclean to avoid destroying docs/html

 -- Dave Beckett <dajobe@debian.org>  Mon, 25 Jul 2011 23:36:14 -0700

raptor2 (2.0.3-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.9.2

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Jun 2011 21:13:59 -0700

raptor2 (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Add Build-Depend: on libyajl-dev to get JSON parser correctly included

 -- Dave Beckett <dajobe@debian.org>  Sun, 20 Mar 2011 18:15:00 -0700

raptor2 (2.0.0-2) unstable; urgency=low

  * Added version symbols (Closes: #613672)
  * Update debian/copyright to mention public domain files

 -- Dave Beckett <dajobe@debian.org>  Wed, 23 Feb 2011 12:53:40 -0800
