=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
+Standards-Version: 3.9.2
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
 Suggests: libraptor2-doc
-Recommends: raptor-utils
+Recommends: raptor2-utils
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18)
+Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18), libyajl-dev
 Description: Raptor 2 RDF syntax library development libraries and headers
  Raptor Resource Description Framework (RDF) parser and serializer
  development libraries, header files and documentation needed by
