## raptor2 2.0.6

=== debian/changelog ===
raptor2 (2.0.6-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via XML External Entity
    (XXE) attack
    - debian/patches/CVE-2012-0037.patch: Add disabled by default
      loadExternalEntities and RAPTOR_OPTION_LOAD_EXTERNAL_ENTITIES option
      for turning on loading of XML external entities in librdfa/rdfa.c,
      src/raptor2.h.in, src/raptor_libxml.c, src/raptor_option.c,
      src/raptor_rdfxml.c, src/raptor_rss.c, src/raptor_internal.h,
      src/raptor_sax2.c.
    - CVE-2012-0037

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Jul 2013 11:45:48 -0400

raptor2 (2.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.6

 -- Dave Beckett <dajobe@debian.org>  Sun, 27 Nov 2011 16:23:53 -0800

raptor2 (2.0.5-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.5

 -- Dave Beckett <dajobe@debian.org>  Tue, 22 Nov 2011 14:14:44 -0800
