=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: raptor2
 Section: devel
 Priority: optional
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
 Standards-Version: 3.9.2
 Homepage: http://librdf.org/raptor/
