## raptor2 2.0.8

=== debian/changelog ===
raptor2 (2.0.8-2) unstable; urgency=low

  * debian/control: add a breaks relation by libraptor2-0 against squeeze
    libraptor1 to force upgrades to a version with symbol versioning
    (Closes: #656928)
  * Added debian/patches/001-remove-m-strict-help.patch to remove -m strict
    from rapper help (Closes: #685682)

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Sep 2012 21:32:35 -0700

raptor2 (2.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.8
  * Make 'make clean' repeatable again

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Jun 2012 23:14:51 -0700

raptor2 (2.0.7-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Thu, 22 Mar 2012 09:34:50 -0700
