=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: raptor2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Dave Beckett <dajobe@debian.org>
 Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
@@ -22,6 +21,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libraptor1 (<< 1.4.21-3)
 Suggests: raptor2-utils
 Description: Raptor 2 RDF syntax library
  Raptor is a C library providing a set of parsers and serializers for
