=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,19 @@
 DEB_DBG_PACKAGE_libraptor2-0 = libraptor2-0-dbg
 
 DEB_CONFIGURE_USER_FLAGS= \
-  --with-xml-parser=libxml \
   --enable-release
+
+LDFLAGS += -Wl,--default-symver
+
+DEB_MAKE_CLEAN_TARGET := 
+
+clean::
+	# raw distclean deletes the docs/html documentation
+	if test -r Makefile; then \
+	  mv docs/html docs/html.saved; \
+	  $(MAKE) distclean; \
+	  mv docs/html.saved docs/html; \
+	fi
 
 install/libraptor2-dev::
 	rm -f debian/tmp/usr/lib/libraptor2.la
