## raptor2 2.0.9

=== debian/changelog ===
raptor2 (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/001-remove-m-strict-help.patch merged upstream

 -- Dave Beckett <dajobe@debian.org>  Sat, 09 Mar 2013 14:47:28 -0800
