## raptor2 2.0.13

=== debian/changelog ===
raptor2 (2.0.13-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream patch 001-memset-transposed.patch

 -- Dave Beckett <dajobe@debian.org>  Thu, 30 Jan 2014 10:22:12 -0800

raptor2 (2.0.12-4) unstable; urgency=low

  * Use dh-autoreconf at build time to support new ports. 
    Patch from Steve Langasek - thanks. (Closes: #735400)
  * debian/rules: Altered clean target to work with dh_autoreconf
    deleting Makefile it needs.

 -- Dave Beckett <dajobe@debian.org>  Sun, 26 Jan 2014 10:54:15 -0800

raptor2 (2.0.12-3) unstable; urgency=low

  * Remove versioned build-depends on pkg-config (Closes: #734485)

 -- Dave Beckett <dajobe@debian.org>  Sun, 12 Jan 2014 19:28:18 -0800

raptor2 (2.0.12-2) unstable; urgency=low

  * Add Multi-Arch support
  * debian/control: Standards version 3.9.5

 -- Dave Beckett <dajobe@debian.org>  Sun, 15 Dec 2013 12:39:06 -0800

raptor2 (2.0.12-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.12
  * Added patch 001-memset-transposed.patch to fix transposed memset args

 -- Dave Beckett <dajobe@debian.org>  Fri, 13 Dec 2013 19:09:00 -0800

raptor2 (2.0.11-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.11

 -- Dave Beckett <dajobe@debian.org>  Sun, 24 Nov 2013 17:27:08 -0800

raptor2 (2.0.10-1) unstable; urgency=low

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.10

 -- Dave Beckett <dajobe@debian.org>  Sat, 31 Aug 2013 11:02:11 -0700
