=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>> 5), autotools-dev, cdbs, libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, cdbs (>= 0.4.93~), libtool (>= 1.5), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), libyajl-dev, quilt, gtk-doc-tools
+Standards-Version: 3.9.5
 Homepage: http://librdf.org/raptor/
 
 Package: libraptor2-dev
@@ -11,7 +11,7 @@
 Recommends: raptor2-utils
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config (>= 0.18), libyajl-dev
+Depends: ${misc:Depends}, libraptor2-0 (= ${binary:Version}), libxml2-dev (>= 2.5.10), libcurl4-gnutls-dev, libxslt1-dev (>= 1.0.18), pkg-config, libyajl-dev
 Description: Raptor 2 RDF syntax library development libraries and headers
  Raptor Resource Description Framework (RDF) parser and serializer
  development libraries, header files and documentation needed by
@@ -20,6 +20,8 @@
 Package: libraptor2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libraptor1 (<< 1.4.21-3)
 Suggests: raptor2-utils
