## raptor2 2.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 SET(RAPTOR_VERSION_MAJOR	2)
 SET(RAPTOR_VERSION_MINOR	0)
-SET(RAPTOR_VERSION_RELEASE	13)
-SET(RAPTOR_MIN_VERSION_DECIMAL	20013)
+SET(RAPTOR_VERSION_RELEASE	14)
+SET(RAPTOR_MIN_VERSION_DECIMAL	20014)
 
 SET(VERSION "${RAPTOR_VERSION_MAJOR}.${RAPTOR_VERSION_MINOR}.${RAPTOR_VERSION_RELEASE}")
 MATH(EXPR RAPTOR_VERSION_DECIMAL "${RAPTOR_VERSION_MAJOR} * 10000 + ${RAPTOR_VERSION_MINOR} * 100 + ${RAPTOR_VERSION_RELEASE}")
