=== debian/changelog ===
raptor2 (2.0.14-1build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:55:19 +0000

raptor2 (2.0.14-1) unstable; urgency=medium

  * New upstream release
  * debian/libraptor2-0.shlibs: 2.0.14
  * debian/control: Mark debug package as Multi-Arch: same [lintian]

 -- Dave Beckett <dajobe@debian.org>  Mon, 05 May 2014 11:15:00 -0700
