=== debian/watch ===
version=2
http://download.librdf.org/source/ raptor2-([\d+\.]+|\d+)\.tar\.gz debian uupdate
