=== debian/changelog ===
raptor2 (2.0.15-4+deb12u1) bookworm; urgency=medium

  * Integer Underflow in raptor_uri_normalize_path() (CVE-2024-57823)
    (Closes: #1067896)
  * Heap read buffer overflow in ntriples bnode (CVE-2024-57822)
    (Closes: #1067896)
  * Tests for Github issue 70

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 29 Mar 2025 20:42:36 +0100

raptor2 (2.0.15-4) unstable; urgency=medium

  * QA upload.
  * libraptor2-doc: Add Breaks+Replaces: libraptor2-dev (<< 2.0.15-3) for
    documentation reorganisation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Oct 2022 01:38:55 +0200

raptor2 (2.0.15-3) unstable; urgency=medium

  * QA upload.
  * debian/changelog: Fix some typos.
  * debian/control:
    + libraptor2-dev: Drop Depends on pkg-config.
    + raptor2-utils: Drop Conflicts/Replaces (no longer needed).
    + libraptor2-doc:
      - Mark package Multi-Arch: foreign.
      - Remove documentation path from package description.
  * debian/patches:
    + Fix FTBFS when libxml2 is detected via pkg-config (Closes: #949490).
    + Fix a typo in an existing patch name.
  * debian/rules:
    + Don't install upstream's README file in all binary packages.
      The README file is now only installed in libraptor2-doc.
    + Drop dh_installchangelogs override.
    + Drop dh_strip override; dbgsym-migration is complete.
  * Drop "debian/tmp" from installation paths.
  * libraptor2-0: Add symbols file.
  * libraptor2-doc: Replace .install file with .docs.
  * lintian-overrides: Add overrides for very-long-line-length-in-source-file
    and source-is-missing messages.
  * Add debian/upstream/metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Sep 2022 21:27:03 +1000

raptor2 (2.0.15-2) unstable; urgency=medium

  * QA upload.
  * Include missing LDFLAGS "-Wl,--default-symver".

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 26 Jul 2022 19:55:50 +0200

raptor2 (2.0.15-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. Closes: #906938
  * Set Debian QA as maintainer. See #1012727
  * Rebase patches.
  * d/rules:
    - Rewrite to use dh-sequencer.
  * d/control:
    - Bump debhelper to 13. Closes: #965792
    - Drop dh-autoreconf, quilt and cdbs as build dependencies.
      Add pkg-config and libglib2.0-dev as build dependencies.
    - Apply libraptor2-dev Multi-Arch: same.
    - Document Rules-Requires-Root.
    - Use secure URI for homepage.
    - Update Standards-Version to 4.6.1
    - Remove version constraints on packages, no longer needed.
    - Remove breaks in package libraptor2-0.
  * d/watch:
    - Bump to version 4.
    - Change to secure URI.
  * Migrate to dbgsym packages.
  * Upstream patch to use pkg-config, to find xslt library. Closes: #948873
    Thanks to Hugh McMaster for patch.
  * Add d/not-installed.
  * Change d/*.install, install files generated at buildtime.
  * Drop *.doc-base file.
  * Remove end-of-line whitespace in d/changelog.
  * Fix typo in patch description.
  * Add lintian-overrides for 'source-is-missing' *.html files.
  * wrap-and-sort -at
  * d/copyright: Convert to machine-readable format.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 26 Jul 2022 11:02:21 +0200

raptor2 (2.0.14-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Malformed input file can lead to a segfault (CVE-2020-25713)
    (Closes: #974664)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Jan 2021 11:14:00 +0100

raptor2 (2.0.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Calculate max nspace declarations correctly for XML writer
    (CVE-2017-18926) (Closes: #973889)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 06 Nov 2020 22:08:54 +0100
