=== debian/control ===
Source: raptor2
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gtk-doc-tools,
               libcurl4-gnutls-dev,
               libglib2.0-dev,
               libtool,
               libxml2-dev,
               libxslt1-dev,
               libyajl-dev,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://librdf.org/raptor/

Package: libraptor2-dev
Suggests: libraptor2-doc
Recommends: raptor2-utils
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcurl4-gnutls-dev,
         libraptor2-0 (= ${binary:Version}),
         libxml2-dev,
         libxslt1-dev,
         libyajl-dev,
         ${misc:Depends}
Description: Raptor 2 RDF syntax library development libraries and headers
 Raptor Resource Description Framework (RDF) parser and serializer
 development libraries, header files and documentation needed by
 programs that want to be compiled with Raptor.

Package: libraptor2-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: raptor2-utils,
Description: Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 The parsing syntaxes are RDF/JSON, RDF/XML, N-Triples, Turtle, GRDDL and RSS
 tag soup including Atom 0.3 and Atom 1.0.  The serializing syntaxes
 are RDF/XML, N-Quads, N-Triples RSS 1.0 and Atom 1.0.  Raptor can handle
 RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP,
 Dublin Core and OWL.
 .
 Raptor is designed for performance, flexibility and embedding (no
 memory leaks) and to closely match the revised RDF/XML specification.

Package: raptor2-utils
Section: text
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Raptor 2 RDF parser and serializer utilities
 This package provides the rapper tool for validating, parsing and
 serializing RDF/XML, N-Triples, Turtle, RSS, Atom and other Resource
 Description Framework (RDF) syntaxes using the Raptor RDF library.

Package: libraptor2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: lynx | www-browser,
         ${misc:Depends}
Breaks: libraptor2-dev (<< 2.0.15-3),
Replaces: libraptor2-dev (<< 2.0.15-3),
Description: Documentation for the Raptor 2 RDF syntax library
 Raptor is a C library providing a set of parsers and serializers for
 Resource Description Framework (RDF) triples by parsing syntaxes or
 serializing the triples into a syntax.
 .
 This package contains the HTML documentation for the Raptor 2 library.
